{
  "env": {
    "es2021": true,
    "jest": true
  },
  "extends": [
    "eslint:recommended",
    "plugin:react/recommended",
    "plugin:@typescript-eslint/recommended",
    "plugin:jsx-a11y/recommended",
    "plugin:react/jsx-runtime"
  ],
  "overrides": [],
  "parser": "@typescript-eslint/parser",
  "parserOptions": {
    "ecmaVersion": "latest",
    "sourceType": "module"
  },
  "plugins": ["react", "react-hooks", "@typescript-eslint"],
  "rules": {
    "react/react-in-jsx-scope": "off",
    "react/no-unused-prop-types": "off",
    "no-underscore-dangle": "off",
    "indent": "off",
    "max-len": [1, 120],
    "import/no-extraneous-dependencies": "off",
    "object-curly-newline": "off",
    "prettier/prettier": "off",
    "implicit-arrow-linebreak": "off",
    "linebreak-style": ["off", "windows"],
    "operator-linebreak": "off",
    "comma-dangle": 0,
    "react/jsx-curly-newline": "off",
    "react-hooks/exhaustive-deps": "warn",
    "react-hooks/rules-of-hooks": "error",
    "react/jsx-filename-extension": [1, { "extensions": [".js", ".jsx", ".ts", ".tsx"] }],
    "react/jsx-indent-props": [2, 2],
    "react/jsx-indent": [2, 2],
    "react/prop-types": 0,
    "react/require-default-props": 0,
    "react/jsx-one-expression-per-line": [0],
    "react/prefer-stateless-function": [1],
    "react/static-property-placement": [1, "property assignment"],
    "react/function-component-definition": [
      1,
      {
        "namedComponents": ["function-declaration", "arrow-function"],
        "unnamedComponents": ["arrow-function"]
      }
    ],
    "react/jsx-props-no-spreading": 0,
    "react/button-has-type": ["error", { "reset": true }],
    "newline-per-chained-call": 0,
    "no-new": "off"
  }
}
